﻿using System;
using System.Windows;
using System.Windows.Media;

namespace TestProject
{
    /// <summary>
    /// 메인 윈도우
    /// </summary>
    public partial class MainWindow : Window
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainWindow()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();

            this.applyButton.Click += applyButton_Click;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private
        //////////////////////////////////////////////////////////////////////////////// Event

        #region Apply 버튼 클릭시 처리하기 - applyButton_Click(sender, e)

        /// <summary>
        /// Apply 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void applyButton_Click(object sender, EventArgs e)
        {
            UpdateTargetMatrixTransform();
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////// Function

        #region 타겟 매트릭스 변환 업데이트하기 - UpdateTargetMatrixTransform()

        /// <summary>
        /// 타겟 매트릭스 변환 업데이트하기
        /// </summary>
        private void UpdateTargetMatrixTransform()
        {
            Matrix matrix = new Matrix
            {
                M11     = double.Parse(this.m11TextBox.Text    ),
                M12     = double.Parse(this.m12TextBox.Text    ),
                M21     = double.Parse(this.m21TextBox.Text    ),
                M22     = double.Parse(this.m22TextBox.Text    ),
                OffsetX = double.Parse(this.offsetXTextBox.Text),
                OffsetY = double.Parse(this.offsetYTextBox.Text)
            };

            this.targetMatrixTransform.Matrix = matrix;
        }

        #endregion
    }
}